petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLogStagePush

This function pushes a stage on the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogStagePush(PetscLogStage stage)

Not Collective

### Input Parameter

stage -The stage on which to log

### Usage

If the option -log_sumary is used to run the program containing the following code, then 2 sets of summary data will be printed during PetscFinalize().

          PetscInitialize(int *argc,char ***args,0,0);
          [stage 0 of code]
          PetscLogStagePush(1);
          [stage 1 of code]
          PetscLogStagePop();
          PetscBarrier(...);
          [more stage 0 of code]
          PetscFinalize();

### Notes

Use PetscLogStageRegister() to register a stage.

### Keywords

log, push, stage

### See Also

PetscLogStagePop(), PetscLogStageRegister(), PetscBarrier()

### Level

intermediate

### Location

src/sys/logging/plog.c

### Examples

src/ksp/pc/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html
src/ksp/ksp/examples/tutorials/ex46.c.html
src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex54.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex56.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages